Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libcouchbase: update to 2.5.8

From: Nathan Johnson <nathan_at_nathanjohnson.info>
Date: Mon, 25 Apr 2016 18:30:11 -0500

removed fix_ioserver_tests.patch since it was merged upstream.
---
 testing/libcouchbase/APKBUILD                 | 23 ++++++++----
 testing/libcouchbase/fix_ioserver_tests.patch | 54 ---------------------------
 2 files changed, 15 insertions(+), 62 deletions(-)
 delete mode 100644 testing/libcouchbase/fix_ioserver_tests.patch
diff --git a/testing/libcouchbase/APKBUILD b/testing/libcouchbase/APKBUILD
index 0095c60..a722a1e 100644
--- a/testing/libcouchbase/APKBUILD
+++ b/testing/libcouchbase/APKBUILD
_at_@ -1,7 +1,7 @@
 # Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
 # Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
 pkgname=libcouchbase
-pkgver=2.5.6
+pkgver=2.5.8
 pkgrel=1
 pkgdesc="C client library for Couchbase"
 url="http://developer.couchbase.com/community"
_at_@ -14,12 +14,22 @@ install=""
 subpackages="$pkgname-dev $pkgname-bin $pkgname-doc $pkgname-libevent $pkgname-libev $pkgname-libuv"
 source="$pkgname-$pkgver.tar.gz::https://github.com/couchbase/libcouchbase/archive/${pkgver}.tar.gz
     disable_git_version_check.patch
-    fix_ioserver_tests.patch
     fix_snappy.patch
     fix_socktest.patch"
 
 _builddir="$srcdir/libcouchbase-${pkgver}"
 
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+
 build() {
 	cd "$_builddir"
 	rm -rf build && mkdir build && cd build
_at_@ -76,18 +86,15 @@ bin() {
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
 
-md5sums="309944c436b1eb4d90e8c90581d7504b  libcouchbase-2.5.6.tar.gz
+md5sums="ccc1f5fc086d40ace1fdb365d4669409  libcouchbase-2.5.8.tar.gz
 99f6fd7df5b3ccf4be9bc3363a96efea  disable_git_version_check.patch
-2b1192fba9fc460db50963caddef608a  fix_ioserver_tests.patch
 e207d547e3de14e22eecef04edf97a6b  fix_snappy.patch
 00792fefbf19d29257411285afad5dd5  fix_socktest.patch"
-sha256sums="35690d39c51c00b2656911389068e9bc099a791872fadd6bb8d75684984cf10f  libcouchbase-2.5.6.tar.gz
+sha256sums="98bc78608c7de9e2a3b460da3cd34600c92e644108521e4f8a24d9102423546c  libcouchbase-2.5.8.tar.gz
 c323477ab7d2dddad9decf85b00e64a9b13e4e0c9eb78890e8c2ff99cee9ed3b  disable_git_version_check.patch
-cae791e2ed78cf570118cf9c50686aac62fd5a48b4050e9862cf0893af017a05  fix_ioserver_tests.patch
 30066934200e21c1b912600bc5dd72ec033aa9c580f1d2456a167ba91b4e624f  fix_snappy.patch
 541a8d97d1e84fcbbee65014e7f81efa312c0f592975e168d7c81ded5a585152  fix_socktest.patch"
-sha512sums="32c87c323d3336a7aec612f56751c8788494860c6223449ddeca1577ac586d11d3c267b554aece1916c866b5a9d957a80a4b9d62f790b2501ed65a9ee8724246  libcouchbase-2.5.6.tar.gz
+sha512sums="e5fb91b76a6209fe62d85dedf262560b86018368dc2a50b08584f1acdb68fd98387acbc5433901c3129c7e00fab898d9457b9d48a645ebc1756ab261d2122a06  libcouchbase-2.5.8.tar.gz
 987b76b9c8a38a1f144bcada3c24192b30b352c993c433f4a2a1e381b765ae6bb845ebc6393c794da1b4efbb68fd1d34b027104fecf5c9bcc29b0f58c7f6a474  disable_git_version_check.patch
-40992e442a2e9376ae6d4313fde801769ad4b43d8697e47f6183c8fbb05f30b160cd099c4ca7e893cfa2e665026cb0802abc22ade6d2da2bcf1b56e199b2528a  fix_ioserver_tests.patch
 36b483883f8cc2785a1b323cb67ebb9fb7e6e3af767fdcaca88205b3bbc32c02a375a88ce3749df750770ebd62d99c4bf5a19ef496e5f7f160e4b74fbd928e45  fix_snappy.patch
 72319b86fdd91728723ccb091e72199788a84e2ec9ea12c0fcd1ed686eb155ec11e0addbff96735f83e7f31764a85650f0483b6e76d3a8bee16f71b2751fe4a9  fix_socktest.patch"
diff --git a/testing/libcouchbase/fix_ioserver_tests.patch b/testing/libcouchbase/fix_ioserver_tests.patch
deleted file mode 100644
index 5e35567..0000000
--- a/testing/libcouchbase/fix_ioserver_tests.patch
+++ /dev/null
_at_@ -1,54 +0,0 @@
-From c941e4f79748937b117aebc0ee961325b666053d Mon Sep 17 00:00:00 2001
-From: Nathan Johnson <nathan_at_nathanjohnson.org>
-Date: Sun, 28 Feb 2016 12:04:45 -0600
-Subject: [PATCH] CCBC-683 Remove double calls to pthread_join in ioserver tests.
-
-Call join() from threads-win32 close() to be consistent with pthreads.
-
-Change-Id: I62566a588eb7036205e75945305cf2277db0e00a
----
-
-diff --git a/tests/ioserver/connection.cc b/tests/ioserver/connection.cc
-index 23712d8..7e423eb 100644
---- a/tests/ioserver/connection.cc
-+++ b/tests/ioserver/connection.cc
-_at_@ -152,7 +152,10 @@
-     ctlfd_user->close();
-     ctlfd_lsn->close();
-     datasock->close();
--    thr->join();
-+    // We don't want to explicitly call join() here since that
-+    // gets called in the destructor.  This is unncessary
-+    // and broken on musl.
-+    // thr->join();
-     delete thr;
-     mutex.close();
-     initcond.close();
-diff --git a/tests/ioserver/ioserver.cc b/tests/ioserver/ioserver.cc
-index a9bce67..c5f5b14 100644
---- a/tests/ioserver/ioserver.cc
-+++ b/tests/ioserver/ioserver.cc
-_at_@ -63,7 +63,10 @@
-         delete *iter;
-     }
-     mutex.unlock();
--    thr->join();
-+    // We don't want to explicitly call join() here since that
-+    // gets called in the destructor.  This is unncessary
-+    // and broken on musl.
-+    // thr->join();
-     delete thr;
-     mutex.close();
-     delete lsn;
-diff --git a/tests/ioserver/threads-win32.cc b/tests/ioserver/threads-win32.cc
-index 9ed9614..1e5710a 100644
---- a/tests/ioserver/threads-win32.cc
-+++ b/tests/ioserver/threads-win32.cc
-_at_@ -36,6 +36,7 @@
- Thread::close()
- {
-     if (initialized) {
-+        join();
-         CloseHandle(hThread);
-         initialized = false;
-     }
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Apr 25 2016 - 18:30:11 GMT